Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class DeploymentScope

    java.lang.Object
      org.codehaus.aspectwerkz.definition.DeploymentScope

    public final class DeploymentScope

extends Object

Represents a deployment scope pointcut expression, that is used by the system to "prepare" the join points that are picked out by this pointcut. Needed to allow hot-deployment of aspects in a safe and predictable way.

Can not and should not be created by the user only given to him from the framework.

Author:
  Jonas Bonr

Field Summary
`static DeploymentScope` | `MATCH_ALL` System prepared pointcut that matches all.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getExpression()` Returns the expression as a string.
`String` | `getName()` Returns the name of the pointcut.
`int` | `hashCode()`
`ExpressionInfo` | `newExpressionInfo(ExpressionInfo expression)` Merges the scope expression with a new expression.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MATCH_ALL

    public static final DeploymentScope MATCH_ALL

  System prepared pointcut that matches all.

Method Detail

### getName

    public String getName()

  Returns the name of the pointcut.

  Returns:

### getExpression

    public String getExpression()

  Returns the expression as a string.

  Returns:

### newExpressionInfo

    public ExpressionInfo newExpressionInfo(ExpressionInfo expression)

  Merges the scope expression with a new expression. Uses '&&' to merge them.

  Parameters:
    `expression` -
  Returns:

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.